Last modified: 2013-08-28 17:52:54 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 24751 - MediaWiki:Config-welcome seems misleading, make clearer user should provide debug output etc. when asking for help
MediaWiki:Config-welcome seems misleading, make clearer user should provide d...
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Installer (Other open bugs)
1.22.0
All All
: Low minor with 1 vote (vote)
: ---
Assigned To: Nemo
http://translatewiki.net/wiki/MediaWi...
: easy
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2010-08-11 01:06 UTC by Purodha Blissenbach
Modified: 2013-08-28 17:52 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Purodha Blissenbach 2010-08-11 01:06:54 UTC
I believe, the last sentence in MediaWiki:Config-welcome,
"You should provide the results of these checks if you need help during installation."
should not ask the user to provide results of checks to the installer, but rather vice versa:
"This process should provide the results of these checks if you need help during installation."
or something the like.

a) The user would likely not know the results of checks.
b) Even if told what they are, unexperienced and novice users may not be able to understand and reproduce them correctly.
c) The installer knows them anyways, so why ask back?
d) The installer should not ask unnecessary questions, based upon its findings, but should inform the user of unavailable options, such as:
"Mediawiki is going to use a MySQL 4.0 data base. You could as well use PostgreSQL, if a PostgreSQL server was installed and running on this system, but none was detected. Proceed? (YES/no)"
The "no" choice could then give a quick hint as to how to get PostgreSQL.
Comment 1 Chad H. 2010-08-12 16:13:48 UTC
(In reply to comment #0)
> I believe, the last sentence in MediaWiki:Config-welcome,
> "You should provide the results of these checks if you need help during
> installation."
> should not ask the user to provide results of checks to the installer, but
> rather vice versa:
> "This process should provide the results of these checks if you need help
> during installation."
> or something the like.
> 

The wording is poor here, yes. But I believe you're misunderstanding what it means. It's trying to say "If you have problems while installing--and you go looking for support--provide these results (to the person who is helping you) so that they can help you better"

It has nothing to do with inputting the results back into the installer. That wouldn't make any sense (things like the diff3, ImageMagick results are stored and used later as appropriate).

But yes, I'm open to suggestions on better wording here.
Comment 2 Gerrit Notification Bot 2013-08-09 11:12:52 UTC
Change 78375 had a related patch set uploaded by Nemo bis:
Rephrase the installer's config-welcome message

https://gerrit.wikimedia.org/r/78375
Comment 3 Gerrit Notification Bot 2013-08-28 16:50:18 UTC
Change 78375 merged by jenkins-bot:
Rephrase the installer's config-welcome message

https://gerrit.wikimedia.org/r/78375

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links